////////////////////////////////////////////////////////////////////////////////
//                                                                      
//                        Fulladder Verilog Class Example
//  
////////////////////////////////////////////////////////////////////////////////
//                                                                      
// MODULE:         orgate
//
// FILENAME:       orgate.v
// 
// DATE:           30. June 2000
//
// VERSION:        1.0
//
////////////////////////////////////////////////////////////////////////////////
//                                                                      
// DESCRIPTION:    This is the orgate module of the fulladder design.
//
//
////////////////////////////////////////////////////////////////////////////////
//
// REFERENCES:     (none)
//
////////////////////////////////////////////////////////////////////////////////
//                                                                      
// CHANGES:        Version 2.0 - 30 June 2000
//
////////////////////////////////////////////////////////////////////////////////

  module orgate (a_i, b_i, or_o);
    input a_i;              // first data bit
    input b_i;              // second data bit
    output or_o;            // result

    // The assign statement is reevaluated whenever an input changes.
    assign or_o = a_i | b_i;
  endmodule                // orgate

